Skip to content

Get a cron run

GET
/api/v3/organizations/{organisation}/applications/{application}/environments/{environment}/cron/{cron}/runs/{run}
curl --request GET \
--url https://dashboard.quantcdn.io/api/v3/organizations/test-org/applications/test-app/environments/test-env/cron/test-cron/runs/example \
--header 'Authorization: Bearer <token>'
organisation
required
string

The organisation ID

Example
test-org
application
required
string

The application ID

Example
test-app
environment
required
string

The environment ID

Example
test-env
cron
required
string

The cron job ID

Example
test-cron
run
required
string

The cron run ID

The cron run

Media typeapplication/json
object
runId
string
runType
string
Allowed values: EXEC CRON
command
string
nullable
status
string
Allowed values: PENDING RUNNING SUCCEEDED FAILED TIMED_OUT UNKNOWN
startTime
string format: date-time
nullable
endTime
string format: date-time
nullable
exitCode
integer
nullable
output
Array<string>
scheduleName
string
nullable
targetContainerName
string
nullable
Example
{
"runType": "EXEC",
"status": "PENDING"
}